# $Revision: 1.62 $, $Date: 2009/06/22 09:17:07 $
Summary:	The NIS daemon which binds NIS clients to an NIS domain
Summary(es.UTF-8):	Proceso de ligación NIS
Summary(pl.UTF-8):	Demon NIS przyłączający klientów NIS do domeny NIS
Summary(pt_BR.UTF-8):	Processo de ligação NIS
Summary(zh_CN.UTF-8):	NIS 服务器
Name:		ypbind-mt
Version:	1.29.91
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
# Source0-md5:	ab196dbb9474481e1e879f3d8cc94e30
Source1:	ypbind.init
Source2:	yp.conf
Patch0:		%{name}-pthread.patch
Patch1:		%{name}-broadcast.patch
Patch2:		%{name}-dbus.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	nss_nis
Requires:	portmap
Requires:	rc-scripts >= 0.4.1.5
Requires:	yp-tools
Provides:	ypbind
Obsoletes:	ypbind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can enable users
to login on any machine on the network, as long as the machine has the
NIS client programs running and the user's password is recorded in the
NIS passwd database. NIS was formerly known as Sun Yellow Pages (YP).

This package provides the ypbind daemon. The ypbind daemon binds NIS
clients to an NIS domain. Ypbind must be running on any machines which
are running NIS client programs.

Install the ypbind package on any machines which are running NIS
client programs (included in the yp-tools package). If you need an NIS
server, you'll also need to install the ypserv package to a machine on
your network.

%description -l es.UTF-8
Este es un daemon que se ejecuta en clientes NIS/YP y los relaciona a
un dominio NIS. Debe ejecutarse en sistemas basados en la glibc para
funcionaren como clientes NIS.

%description -l pl.UTF-8
NIS (Network Information Service) to system dostarczający informacje
sieciowe (nazwy użytkowników, hasła, katalogi domowe, informacje o
grupach) wszystkim maszynom w sieci. NIS może pozwalać użytkownikom
logować się na dowolnej maszynie w sieci pod warunkiem, że maszyna ma
działające programy klienckie NIS i hasło użytkownika jest zapisane w
bazie haseł NIS. NIS był wcześniej znany jako YP (Sun Yellow Pages).

Ten pakiet zawiera demona ypbind. Demon ten przyłącza klientów NIS do
domeny NIS. ypbind musi działać na każdej maszynie, na której działają
programy klienckie NIS.

%description -l pt_BR.UTF-8
Este é um daemon que roda em clientes NIS/YP e os relaciona a um
domínio NIS. Ele deve estar rodando em sistemas baseados na glibc para
agirem como clientes NIS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat m4/jh_path_xml_catalog.m4 >> acinclude.m4
rm -rf m4

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-slp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/rc.d/init.d,var/yp/binding}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yp.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypbind
%service ypbind restart

%preun
if [ "$1" = "0" ]; then
	%service ypbind stop
	/sbin/chkconfig --del ypbind
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/ypbind
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yp.conf
%{_mandir}/man[58]/*
%dir /var/yp/binding

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ypbind-mt.spec,v $
Revision 1.62  2009/06/22 09:17:07  amateja
- updated to 1.29.91

Revision 1.61  2009/05/21 06:34:05  amateja
- updated to 1.29.90

Revision 1.60  2009/02/26 13:55:31  duddits
- up to 1.22
- dbus.patch added

Revision 1.59  2008/02/06 21:21:49  glen
- rel 4

Revision 1.58  2008-02-06 21:06:56  glen
- drop invalid trigger (ypbind-3.3-5 is not a version); rel 3

Revision 1.57  2007-09-07 10:44:24  baggins
- rel 2
- use shell $(()) instead of expr to do the math in init script

Revision 1.56  2007/06/11 16:20:12  qboosh
- cleanup

Revision 1.55  2007/06/09 13:27:24  areq
- BR dbus-glib-devel

Revision 1.54  2007/06/07 20:02:21  arekm
- up to 1.20.4; added dbus BR

Revision 1.53  2007/04/26 22:27:16  baggins
- R: rc-scripts >= 0.4.1.5

Revision 1.52  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.51  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.50  2006/05/21 22:31:29  glen
- rel 2

Revision 1.49  2006/03/13 23:14:32  glen
- use %service

Revision 1.48  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.47  2005/09/03 18:26:41  areq
- 1.19.1

Revision 1.46  2004/11/19 01:52:33  undefine
- update to 1.18

Revision 1.45  2004/11/04 11:07:42  areq
- --disable-slp

Revision 1.44  2004/08/14 16:20:05  misi3k
- updated to 1.17.3

Revision 1.43  2004/03/11 20:18:40  eothane
- up to 1.17.2

Revision 1.42  2004/01/16 14:23:38  eothane
- updated to 1.16

Revision 1.41  2003/09/19 20:18:07  misi3k
- updated to 1.14

Revision 1.40  2003/07/05 23:22:11  areq
- 1.13

Revision 1.39  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.38  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2002/12/02 11:06:30  ankry
- massive cleaning

Revision 1.36  2002/10/09 13:45:08  kloczek
- release 2.

Revision 1.35  2002/10/09 10:57:56  qboosh
- more macros, more specific Requires

Revision 1.34  2002/06/30 14:29:39  kloczek
- updated to 1.12 (bug fixes: fix deadlock if a host in /etc/yp.conf does
  not exists, other broadcasting fixes),
- merge translations from Conectiva and TurboLinux,
- use new %doc,
- added am_fixes patch (fixes for latest automake and gettext).

Revision 1.33  2002/06/23 20:52:54  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.32  2002/05/21 23:15:09  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.30  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:15:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/17 10:56:12  kloczek
- updated to 1.10 (bugfix release).

Revision 1.26  2001/12/24 10:15:47  qboosh
- pl translation, release 3

Revision 1.25  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/06/08 20:30:09  zagrodzki
- fixed .init
- release 2

Revision 1.22  2001/04/07 18:09:18  kloczek
- updated to 1.8,
- updated Source url,
- fixed again run levels (345 42 63).

Revision 1.21  2001/04/07 15:21:31  kloczek
- regenerate am/ac files,
- added bison to BuildRequires.

Revision 1.20  2001/04/07 15:04:33  kloczek
- release 3,
- fixed initscrip for ypbind (now ypbind run on correct level).

Revision 1.19  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.18  2000/12/20 02:23:31  baggins
- release 2
- removed bashism from init script

Revision 1.17  2000/10/23 19:22:56  kloczek
- added DESTDIR style %install,
- use new rpm automation,
- merged pthread and broadcast patches from rawhide,
- added %verify() rule and noreplace for %%{_sysconfdir}/yp.conf %config
  file,
- standarized %post/%preun scripts.

Revision 1.16  2000/10/23 18:35:44  zagrodzki
- updated to 1.7

Revision 1.15  2000/10/13 13:48:43  baggins
- release 3
- requires nss_nis

Revision 1.14  2000/08/07 22:38:05  baggins
- fixed Group field

Revision 1.13  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.9  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.8  1999/10/14 14:30:15  baggins
- changed Source0 to ypbind-mt
- version 1.6
- added Provides:, Obsoletes: ypbind

Revision 1.7  1999/09/11 13:23:01  misiek
- fixed requires (PR#67)

Revision 1.6  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Jan Rękorajski <baggins@pld.org.pl>
  [3.3-21]
- FHS 2.0
- cleanup

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- requires yp-tools, because ypwhcih is part of that package

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- don't run ypwhich script if ypbind doesn't start

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- add a 10 second timeout for initscript...

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- fixed init script to wait until domain is really bound (bug #1928)

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- revert to stabdard ypbind; ypbind-mt sucks.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Sat Feb 13 1999 Cristian Gafton <gafton@redhat.com>
- build as ypbind instead of ypbind-mt

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- addressed bug #609

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- provides ypbind
- switch to ypbind-mt instead of plain ypbind
- build for glibc 2.1
